Name:		flash-fix
Version:	0.2
Release:	1%{?dist}
Summary:	Fix crippled sound due to a bug in Adobe Flash plugin

Group:		Applications/Internet
License:	GNU GPL
URL:		http://kir.sacred.ru/flash-fix/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
ExclusiveArch:	x86_64

BuildRequires:	gcc

%description
This package should work around the problem of crippled audio in Adobe Flash.
Currently it supports Firefox and Google Chrome browsers.

For more info, see
http://k001.livejournal.com/791690.html
https://bugzilla.redhat.com/show_bug.cgi?id=638477
https://bugs.adobe.com/jira/browse/FP-5739

Implementation details:
The package comes with triggers that try to patch firefox and google-chrome
scripts to preload a library the package provides. Execute
 rpm -q --triggers %{name}
to see those scripts in case you want to debug or run manually.

%prep
%setup -q


%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_libdir}
cp mymemcpy.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-memcpy.so


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}-memcpy.so

%triggerin -- firefox
LIB=%{_libdir}/%{name}-memcpy.so; \
for F in /usr/lib*/firefox*/run-mozilla.sh; do
	sed -i 's,\(^[[:space:]]*\)\(\(exec \)*"$prog" ${1+"$@"}\),\1LD_PRELOAD='${LIB}' \2,' $F
done

%triggerin -- google-chrome,google-chrome-beta,google-chrome-unstable
LIB=%{_libdir}/%{name}-memcpy.so; \
sed -i 's,\(^[[:space:]]*\)\(exec -a "$0" "$HERE/chrome" "$@"\),\1LD_PRELOAD='${LIB}' \2,' /opt/google/chrome/google-chrome

%changelog
* Thu Oct  6 2011 Kir Kolyshkin <kir@openvz.org> 0.2-1
- fix for firefox path
- fixes to description

* Tue Aug 16 2011 Kir Kolyshkin <kir@openvz.org> 0.1-1
- created
